X11-1.6.1.2: A binding to the X11 graphics library

Copyright | (c) Haskell.org, 2007
License | BSD3
Maintainer | Don Stewart <dons@galois.com>
Stability | provisional
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.X11.Xinerama

Description

Synopsis

- data XineramaScreenInfo = XineramaScreenInfo {
  - xsi_screen_number :: !CInt
  - xsi_x_org :: !CShort
  - xsi_y_org :: !CShort
  - xsi_width :: !CShort
  - xsi_height :: !CShort
  }
- xineramaIsActive :: Display -> IO Bool
- xineramaQueryExtension :: Display -> IO (Maybe (CInt, CInt))
- xineramaQueryVersion :: Display -> IO (Maybe (CInt, CInt))
- xineramaQueryScreens :: Display -> IO (Maybe [XineramaScreenInfo])
- compiledWithXinerama :: Bool
- getScreenInfo :: Display -> IO [Rectangle]

# Documentation

data XineramaScreenInfo Source

Representation of the XineramaScreenInfo struct

Constructors

XineramaScreenInfo |

Fields

xsi_screen_number :: !CInt
xsi_x_org :: !CShort
xsi_y_org :: !CShort
xsi_width :: !CShort
xsi_height :: !CShort

Instances

Show XineramaScreenInfo Source |
Storable XineramaScreenInfo Source |

xineramaIsActive :: Display -> IO Bool Source

xineramaQueryExtension :: Display -> IO (Maybe (CInt, CInt)) Source

xineramaQueryVersion :: Display -> IO (Maybe (CInt, CInt)) Source

xineramaQueryScreens :: Display -> IO (Maybe [XineramaScreenInfo]) Source

compiledWithXinerama :: Bool Source

getScreenInfo :: Display -> IO [Rectangle] Source

Wrapper around xineramaQueryScreens that fakes a single screen when Xinerama is not active. This is the preferred interface to Graphics.X11.Xinerama.